dojo.provide("com.ibm.mm.builder.spaceCreateWidget");
dojo.require("dojo.string");
dojo.require("com.ibm.mm.builder.iwidget.spacemanager.widget.ThemesListControl");
dojo.require("com.ibm.mm.catalog.opensearch.ResultParser");
dojo.require("com.ibm.mm.builder.dialog.DialogFooter");
dojo.require("com.ibm.mm.builder.iwidget.spacemanager.SpaceManagerActions");
dojo.require("com.ibm.mm.builder.iwidget.spacemanager.SpaceManagerConstants");
dojo.declare("com.ibm.mm.builder.spaceCreateWidget",null,{WID:null,SPACE_CREATE_TYPE_BLANK:"blank",SPACE_CREATE_TYPE_TEMPLATE:"from_template",SPACE_CREATE_TYPE_SPACE:"from_space",resourceBundle:null,resourceMessage:null,canSetFavorite:true,templatesFromHub:true,eventService:com.ibm.mashups.services.ServiceManager.getService(com.ibm.mashups.iwidget.services.EventService.SERVICE_NAME),LOGGER:com.ibm.mashups.enabler.logging.Logger.getLogger("com.ibm.mm.builder.spaceCreateWidget"),_templateList:null,onLoad:function(){
this._connections=[];
this.widgetId=this.iContext.widgetId;
this.WID="_"+this.widgetId+"_";
this.resourceBundle=com.ibm.mm.builder.coreWidgetsStrings;
this.resourceMessage=com.ibm.mm.builder.coreWidgetsMessages;
this.cs=com.ibm.mashups.services.ServiceManager.getService(com.ibm.mashups.enabler.services.ConfigService.SERVICE_NAME);
if(builderConfig.createSpaceOnTemplateMode){
if(builderConfig.hasHub){
this.templatesFromHub=true;
}else{
this.templatesFromHub=false;
}
}else{
this.templatesFromHub=false;
}
this.themesNode=dojo.byId(this.WID+"themesContainer");
this.themesListControl=new com.ibm.mm.builder.iwidget.spacemanager.widget.ThemesListControl({widgetId:this.widgetId},this.themesNode);
dijit.setWaiState(this.themesListControl.domNode,"labelledby",this.WID+"choose_theme_label");
this._messageClass="com.ibm.lotus.oneui.v100.messages";
dojo.registerModulePath(this._messageClass,this.iContext.io.rewriteURI("../dijit-library/oneUI.versionized/messages"));
dojo.require(this._messageClass+".Message");
this.enablerUtil=com.ibm.mm.builder.utils.enablerUtil;
this.iWidgetAttributes=this.iContext.getiWidgetAttributes();
this.defaultTemplateENTitle=this.iWidgetAttributes.getItemValue("defaultTemplateENTitle");
},onView:function(){
dojo.parser.parse(this.iContext.getRootElement());
this._spaceNameField=dojo.byId(this.WID+"SpaceName");
this._connections.push(dojo.connect(this._spaceNameField,"onkeypress",this,"onPressEnter"));
this._spaceDescField=dojo.byId(this.WID+"SpaceDesc");
this._blankCheck=dojo.byId(this.WID+"blank");
this._fromTemplateCheck=dojo.byId(this.WID+"fromTemplate");
this._templateList=dojo.byId(this.WID+"templateList");
this._templateList.disabled=true;
this._spaceList=dojo.byId(this.WID+"spaceList");
this._fromSpaceCheck=dojo.byId(this.WID+"fromSpace");
this._makeFavoriteCheck=dojo.byId(this.WID+"makeFavorite");
dojo.byId(this.WID+"space_name_label").innerHTML=this.resourceBundle.CREATE_SPACE_NAME;
dojo.byId(this.WID+"space_desc_label").innerHTML=this.resourceBundle.CREATE_SPACE_DESC;
dojo.byId(this.WID+"blank_label").innerHTML=this.resourceBundle.CREATE_SPACE_BLANK;
dojo.attr(this._blankCheck,"aria-label",this.resourceBundle.CREATE_SPACE_BLANK);
dojo.byId(this.WID+"fromTemplate_label").innerHTML=this.resourceBundle.CREATE_SPACE_FROM_TEMPLATE;
dojo.attr(this._fromTemplateCheck,"aria-label",this.resourceBundle.CREATE_SPACE_FROM_TEMPLATE);
dojo.byId(this.WID+"fromSpace_label").innerHTML=this.resourceBundle.CREATE_SPACE_FROM_SPACE;
dojo.attr(this._fromSpaceCheck,"aria-label",this.resourceBundle.CREATE_SPACE_FROM_SPACE);
dojo.byId(this.WID+"choose_theme_label").innerHTML=this.resourceBundle.CREATE_SPACE_CHOOSE_THEME;
dojo.byId(this.WID+"makeFavorite_label").innerHTML=this.resourceBundle.CREATE_SPACE_MAKE_FAVORITE;
dojo.attr(this._makeFavoriteCheck,"aria-label",this.resourceBundle.CREATE_SPACE_MAKE_FAVORITE);
dojo.byId(this.WID+"limitHint").innerHTML=dojo.string.substitute(this.resourceBundle.CREATE_SPACE_FAVORITE_LIMIT,[builderConfig.favoriteSpacesMaximumNumber]);
},onPressEnter:function(_1){
if(_1.keyCode==13){
this.save();
}
},onCreateSpace:function(_2){
this.createSpaceFromSpaceManager=_2.payload.createSpaceFromSpaceManager;
this.cleanUI();
this.checkFavSpacesCount();
this.loadExistingTemplates();
this.loadExistingSpaces();
this.loadThemes();
},checkFavSpacesCount:function(){
var _3=com.ibm.mm.builder.utils.spaceUtil;
var _4=_3.getSpaceModel();
var _5=_4.findFavorites();
_5.start();
var _6=parseInt(_5.size().start(),10);
var _7=parseInt(builderConfig.favoriteSpacesMaximumNumber,10);
var _8=this._makeFavoriteCheck;
if(_6>=_7){
_8.disabled=true;
_8.checked=false;
dojo.style(this.WID+"makeFavorite_label","color","#999");
dojo.style(this.WID+"limitHint","display","block");
this.canSetFavorite=false;
}else{
_8.disabled=false;
_8.checked=true;
dojo.style(this.WID+"makeFavorite_label","color","black");
dojo.style(this.WID+"limitHint","display","none");
this.canSetFavorite=true;
}
},_getCatalogTemplatesSearchUrl:function(){
var _9=null;
try{
_9=com.ibm.mm.catalog.hubUtil.getHubOpenSearchUrl();
}
catch(e){
}
if(_9){
var _a=builderConfig.spaceTemplateQueryKeyword||"*",_b=builderConfig.spaceTemplateQueryCount||"50";
return this.iContext.io.rewriteURI(_9+"collection=spaces&searchTerms="+_a+"&count="+_b);
}
return null;
},loadExistingTemplates:function(){
this._templateList.options.length=0;
if(this.templatesFromHub){
this.loadTemplatesFromHub();
}else{
this.loadTemplatesFromEnabler();
}
},xmlToString:function(_c){
if(dojo.isIE){
return _c.xml;
}else{
var s=new XMLSerializer();
return s.serializeToString(_c);
}
},escapeXML:function(_d){
if(!dojo.isString(_d)){
return _d;
}
return _d.replace(/&/gm,"&amp;").replace(/</gm,"&lt;").replace(/>/gm,"&gt;").replace(/"/gm,"&quot;").replace(/'/gm,"&#39;");
},unescapeXML:function(_e){
if(!dojo.isString(_e)){
return _e;
}
return _e.replace(/&lt;/gm,"<").replace(/&gt;/gm,">").replace(/&quot;/gm,"\\\"").replace(/&amp;/gm,"&");
},loadTemplatesFromHub:function(){
var _f=this._templateList;
var url=this._getCatalogTemplatesSearchUrl();
dojo.xhrGet({url:url,handleAs:"text",preventCache:true,load:dojo.hitch(this,function(_10){
var doc=dojox.data.dom.createDocument(_10);
var _11=com.ibm.mm.catalog.opensearch.ResultParserManager.mashuphub;
var _12=_11.parse(doc).getResults();
var _13=[];
for(var i=0,n=_12.length;i<n;i++){
var _14=_12[i];
var _15="";
if(_14.title){
var _16=_14.title;
_15=this._getLocalizedTitle(_16);
}else{
_15=_14.name;
}
var op=new Option(_15,_14.importServiceURL);
dojo.attr(op,"title",_15);
_f.options.add(op);
_13.push(_15);
}
dojo.attr(_f,"title",_13.join(" "));
}),error:dojo.hitch(this,function(){
})});
this._connections.push(dojo.connect(_f,"onchange",dojo.hitch(this,function(){
dojo.attr(_f,"title",_f.options[_f.selectedIndex].innerHTML);
})));
},_getLocalizedTitle:function(_17){
var _18=null;
var loc=dojo.locale;
var _19=(dojo.isString(loc)&&loc.length>0)?loc.replace(/-/g,"_").toLowerCase():null;
for(var key in _17){
var _1a=(dojo.isString(key)&&key.length>0)?key.replace(/-/g,"_").toLowerCase():null;
if(_19==_1a){
_18=_17[key];
break;
}
}
if(!_18){
_18=_17[ibmConfig["default.locale"]];
}
return _18;
},loadTemplatesFromEnabler:function(){
var _1b=this._templateList;
var _1c=com.ibm.mashups.enabler.model.Factory.getTemplateModel();
_1c.setStrategy(new com.ibm.mashups.enabler.strategy.ListLoadAheadStrategy(5));
var _1d=[];
var _1e=_1c.iterator();
_1e.setCursorPosition(0);
while(_1e.hasNext()){
var _1f=_1e.next();
var _20=this.enablerUtil.getNodeTitle(_1f);
var op=new Option(_20||this.resourceBundle.I_SPACE_MANAGER_NO_TITLE,_1f.getID());
dojo.attr(op,"title",_20||this.resourceBundle.I_SPACE_MANAGER_NO_TITLE);
_1b.options.add(op);
if(this.defaultTemplateENTitle===_1f.getTitle("en")){
op.selected="selected";
}
_1d.push(_20||this.resourceBundle.I_SPACE_MANAGER_NO_TITLE);
}
dojo.attr(_1b,"title",_1d.join(" "));
},loadExistingSpaces:function(){
var _21=this._spaceList;
_21.options.length=0;
dojo.attr(_21,"title",this.resourceBundle.CREATE_SPACE_EXISTING_SPACE);
var _22=com.ibm.mm.builder.utils.spaceUtil;
var _23=_22.getSpaceModel();
var _24=_23.iterator();
var _25=_24.hasNext();
var _26=[];
if(_25){
while(_24.hasNext()){
var _27=_24.next();
if(com.ibm.mm.builder.commonActions.canCopySpace(_27.getID())){
var _28=this.enablerUtil.getNodeTitle(_27);
var op=new Option(_28||this.resourceBundle.I_SPACE_MANAGER_NO_TITLE,_27.getID());
dojo.attr(op,"title",_28||this.resourceBundle.I_SPACE_MANAGER_NO_TITLE);
_21.options.add(op);
_26.push(_28||this.resourceBundle.I_SPACE_MANAGER_NO_TITLE);
}
}
dojo.attr(_21,"title",_26.join(" "));
}
dojo.attr(this._fromSpaceCheck,"disabled",!_25);
},loadThemes:function(){
this.themesListControl.refresh();
},cleanUI:function(){
this._spaceNameField.value="";
this._spaceDescField.value="";
this._blankCheck.checked=true;
this._templateList.disabled=true;
this._spaceList.disabled=true;
if(this.messageControl){
this.messageControl.hide();
}
if(dojo.isIE==6){
dojo.style(this.WID+"themesContainer","width","300px");
}
dojo.attr(this.WID+"btn_save","disabled",false);
this._connections.push(dojo.connect(this._blankCheck,"onclick",dojo.hitch(this,function(){
this._templateList.disabled=true;
this._spaceList.disabled=true;
})));
this._connections.push(dojo.connect(this._fromTemplateCheck,"onclick",dojo.hitch(this,function(){
this._templateList.disabled=false;
this._spaceList.disabled=true;
})));
this._connections.push(dojo.connect(this._fromSpaceCheck,"onclick",dojo.hitch(this,function(){
this._templateList.disabled=true;
this._spaceList.disabled=false;
})));
},hide:function(){
if(this.themesListControl){
this.themesListControl.freeThemesList();
}
this.eventService.broadcastEvent("com.ibm.mashups.builder.closeMashupDialog",this.iContext.widgetId);
},_getTitle:function(){
return this._spaceNameField.value;
},_getDescription:function(){
return this._spaceDescField.value;
},_getSpaceCreateType:function(){
if(this._blankCheck.checked){
return this.SPACE_CREATE_TYPE_BLANK;
}else{
if(this._fromTemplateCheck.checked){
return this.SPACE_CREATE_TYPE_TEMPLATE;
}else{
return this.SPACE_CREATE_TYPE_SPACE;
}
}
},_getSelectedTheme:function(){
return this.themesListControl.selectedTheme;
},_setTheme:function(_29,_2a){
if(!_29){
return;
}
var _2b=com.ibm.mm.builder.utils.navigationUtil.getNavigationModel();
var _2c=_2b.find(_29.getRootNavigation()).start();
_2c.setTheme(_2a);
_2b.commit().start();
},_createBlankSpace:function(_2d,_2e,_2f){
dojo.attr(this.WID+"btn_save","disabled",true);
var _30=com.ibm.mm.builder.utils.spaceUtil;
var _31=_30.getSpaceModel();
var _32=_31.create();
_32.setTitle(_2d,builderConfig.locale);
_32.setDescription(_2e,builderConfig.locale);
_30.setSpaceIconURL(_32,this.defaultIcon());
this._setFavorite(_32);
_31.insert(_32);
var _33=_31.commit();
var _34=null;
_33.setOperationCallback(dojo.hitch(this,function(_35,_36,_37,_38){
if(!_35&&_37>=400){
this.messageControl.attr("message",this.resourceMessage.E_SPACE_MANAGER_SPACE_CREATED_FAILED_0);
this.messageControl.show();
dojo.attr(this.WID+"btn_save","disabled",false);
}else{
_34=_35;
if(_32.isFavorite()){
_34.setFavorite(true);
}
}
}));
_33.setFinishedCallback(dojo.hitch(this,function(ret,_39){
if(!_34||_39>=400){
this.messageControl.attr("message",this.resourceMessage.E_SPACE_MANAGER_SPACE_CREATED_FAILED_0);
this.messageControl.show();
dojo.attr(this.WID+"btn_save","disabled",false);
}else{
var _3a=_34.getID();
this._setTheme(_34,_2f);
if(!this.createSpaceFromSpaceManager){
this.eventService.broadcastEvent("com.ibm.mashups.builder.switchSpace",_3a);
}
this.messageControl.hide();
this.hide();
this._createFirstPage(_3a);
this.eventService.broadcastEvent("com.ibm.mashups.builder.spacemanager.spaceCreated",_3a);
}
}));
_33.start(false);
},_createFirstPage:function(_3b){
var _3c=com.ibm.mm.builder.utils.spaceUtil;
var _3d=com.ibm.mashups.services.ServiceManager.getService(com.ibm.mashups.iwidget.services.EventService.SERVICE_NAME);
var _3e=com.ibm.mm.builder.utils.navigationUtil;
var _3f=_3c.getSpaceModel();
var _40=_3f.find(_3b).start();
var _41=_40.getRootNavigation().getID();
var _42=com.ibm.mm.builder.coreWidgetsStrings;
var _43={widgetTypeId:"createPage",eventName:"com.ibm.mashups.builder.createPage",eventPayload:{"spaceId":_3b,"parentPageId":_41,"message":_42.I_CREATE_PAGE_IN_SPACE_FIRST_PAGE_NOTE,"isFromSpaceMgr":this.createSpaceFromSpaceManager},requestRefresh:true,dialogParam:{nodeWidth:"675px",title:_42.I_CREATE_PAGE_IN_SPACE_TITLE,leftBarWidth:"0px",rightBarWidth:"0px",containerBackgroundColor:"white",hasRightBottomResizer:false}};
_3d.broadcastEvent("com.ibm.mashups.builder.displayInMashupDialog",_43);
},_createSpaceFromTemplate:function(_44,_45,_46){
var _47=this._templateList;
if(_47.options.length===0){
this._setAsAriaInvalid(_47);
this.messageControl.attr("message",this.resourceMessage.E_SPACE_MANAGER_NO_TEMPLATE_FOR_SPACE_CREATION_0);
this.messageControl.show();
return;
}
this._removeAriaInvalid(_47);
dojo.attr(this.WID+"btn_save","disabled",true);
if(this.templatesFromHub){
this._createSpaceFromHubTemplate(_44,_45,_46);
}else{
this._createSpaceFromEnablerTemplate(_44,_45,_46);
}
},_createSpaceWithTemplateID:function(_48,_49,_4a,_4b){
var _4c=com.ibm.mm.builder.utils.spaceUtil;
var _4d=_4c.getSpaceModel();
var _4e=_4d.create({"templateID":_4b});
_4e.setTitle(_48,builderConfig.locale);
_4e.setDescription(_49,builderConfig.locale);
_4c.setSpaceIconURL(_4e,this.defaultIcon());
this._setFavorite(_4e);
_4d.insert(_4e);
var _4f=_4d.commit();
var _50=null;
_4f.setOperationCallback(dojo.hitch(this,function(_51,_52,_53,_54){
if(!_51&&_53>=400){
this.messageControl.attr("message",this.resourceMessage.E_SPACE_MANAGER_SPACE_CREATED_FAILED_0);
this.messageControl.show();
dojo.attr(this.WID+"btn_save","disabled",false);
}else{
_50=_51;
if(_4e.isFavorite()){
_50.setFavorite(true);
}
}
}));
_4f.setFinishedCallback(dojo.hitch(this,function(ret,_55){
if(!_50||_55>=400){
this.messageControl.attr("message",this.resourceMessage.E_SPACE_MANAGER_SPACE_CREATED_FAILED_0);
this.messageControl.show();
dojo.attr(this.WID+"btn_save","disabled",false);
}else{
var _56=_50.getID();
this._setTheme(_50,_4a);
this.eventService.broadcastEvent("com.ibm.mashups.builder.spacemanager.spaceCreated",_56);
if(!this.createSpaceFromSpaceManager){
this.eventService.broadcastEvent("com.ibm.mashups.builder.switchSpace",_56);
}
this.messageControl.hide();
this.hide();
}
}));
_4f.start(false);
},defaultIcon:function(){
return builderConfig.builderPath+"/images/spaceicons/icon-01.gif";
},_createSpaceFromEnablerTemplate:function(_57,_58,_59){
var _5a=this._templateList;
var _5b=_5a.options[_5a.selectedIndex].value;
this._createSpaceWithTemplateID(_57,_58,_59,_5b);
},getMashupsImportSpaceUrl:function(){
return [location.protocol,"//",location.host,"/mum/mycontenthandler?uri=space:collection&mode=import"].join("");
},_createSpaceFromHubTemplate:function(_5c,_5d,_5e){
var _5f=this._templateList;
var _60=_5f.options[_5f.selectedIndex].value;
_60=this.iContext.io.rewriteURI(this.unescapeXML(_60));
var _61=this;
dojo.xhrPost({url:_60,handleAs:"json",content:{"authType":"Form","description":_5d,"import_service_url":this.getMashupsImportSpaceUrl(),"title":_5c,"locale":this.cs.getValue("default.locale")},load:function(_62){
var _63=parseInt(_62.status,10);
if(_63>=300||_63<200){
this.error(_62);
}else{
var _64=_62.spaceId.split(":")[2];
var _65=com.ibm.mm.builder.utils.spaceUtil.getSpaceNode(_64);
_61._setFavorite(_65);
var _66=com.ibm.mm.builder.utils.spaceUtil.getSpaceModel();
_66.commit().start();
_61._setTheme(_65,_5e);
_61.eventService.broadcastEvent("com.ibm.mashups.builder.spacemanager.spaceCreated",_64);
if(!_61.createSpaceFromSpaceManager){
_61.eventService.broadcastEvent("com.ibm.mashups.builder.switchSpace",_64);
}
_61.messageControl.hide();
_61.hide();
}
},error:dojo.hitch(this,function(_67){
this.messageControl.attr("message",this.resourceMessage.E_SPACE_MANAGER_SPACE_CREATED_FAILED_0);
this.messageControl.show();
dojo.attr(this.WID+"btn_save","disabled",false);
})});
},_setFavorite:function(_68){
if(this._needSetAsFavorite(_68)){
_68.setFavorite(true);
}
},_needSetAsFavorite:function(_69){
var _6a=this._makeFavoriteCheck;
return _69&&!_6a.disabled&&_6a.checked&&this.canSetFavorite;
},_createSpaceFromSpace:function(_6b,_6c,_6d){
var _6e=this._spaceList;
if(_6e.options.length===0){
this._setAsAriaInvalid(_6e);
this.messageControl.attr("message",this.resourceMessage.E_SPACE_MANAGER_NO_SPACE_FOR_SPACE_CREATION_0);
this.messageControl.show();
return;
}
this._removeAriaInvalid(_6e);
dojo.attr(this.WID+"btn_save","disabled",true);
var _6f=com.ibm.mm.builder.utils.spaceUtil;
var _70=_6f.getSpaceModel();
var _71=_6e.options[_6e.selectedIndex].value;
var _72=_70.create({"clonedSpace":_71});
_72.setTitle(_6b,builderConfig.locale);
_72.setDescription(_6c,builderConfig.locale);
this._setFavorite(_72);
_70.insert(_72);
var _73=_70.commit();
var _74=null;
_73.setOperationCallback(dojo.hitch(this,function(_75,_76,_77,_78){
if(!_75&&_77>=400){
this.messageControl.attr("message",this.resourceMessage.E_SPACE_MANAGER_SPACE_CREATED_FAILED_0);
this.messageControl.show();
dojo.attr(this.WID+"btn_save","disabled",false);
}else{
_74=_75;
if(_72.isFavorite()){
_74.setFavorite(true);
}
}
}));
_73.setFinishedCallback(dojo.hitch(this,function(ret,_79){
if(!_74||_79>=400){
this.messageControl.attr("message",this.resourceMessage.E_SPACE_MANAGER_SPACE_CREATED_FAILED_0);
this.messageControl.show();
dojo.attr(this.WID+"btn_save","disabled",false);
}else{
var _7a=_74.getID();
this._setTheme(_74,_6d);
this.eventService.broadcastEvent("com.ibm.mashups.builder.spacemanager.spaceCreated",_7a);
if(!this.createSpaceFromSpaceManager){
this.eventService.broadcastEvent("com.ibm.mashups.builder.switchSpace",_7a);
}
this.messageControl.hide();
this.hide();
}
}));
_73.start(false);
},_checkTitle:function(_7b){
_7b=dojo.trim(_7b||"");
if(!_7b){
return {res:false,errorMsg:this.resourceMessage.E_SPACE_MANAGER_SPACE_NAME_IS_REQUIRED_0};
}
if(_7b.length>256){
return {res:false,errorMsg:this.resourceMessage.E_SPACE_MANAGER_SPACE_NAME_HAS_MAX_LIMIT_0};
}
var _7c=ibmConfig[com.ibm.mashups.enabler.services.ConfigConstants.BUILDER_TITLE_FILTER_REGEXP];
if(_7b.match(_7c)){
return {res:false,errorMsg:this.resourceMessage.E_SPACE_MANAGER_SPACE_NAME_HAS_INVALID_CHAR_0};
}
return {res:true};
},_verifyTitle:function(_7d){
var _7e=dojo.byId(this.WID+"SpaceName");
var _7f=this._checkTitle(_7d);
if(!_7f.res){
this._setAsAriaInvalid(_7e);
this.messageControl.attr("message",_7f.errorMsg);
this.messageControl.show();
return false;
}
this._removeAriaInvalid(_7e);
return true;
},_verifyDescription:function(_80){
if(!dojo.isString(_80)){
return false;
}
if(_80.length>=512){
this._setAsAriaInvalid(this._spaceDescField);
this.messageControl.attr("message",this.resourceMessage.E_SPACE_MANAGER_SPACE_DESC_HAS_MAX_LIMIT_0);
this.messageControl.show();
return false;
}
this._removeAriaInvalid(this._spaceDescField);
return true;
},_verifyInput:function(_81,_82){
return this._verifyTitle(_81)&&this._verifyDescription(_82);
},_setAsAriaInvalid:function(_83){
dojo.attr(_83,"aria-invalid","true");
},_removeAriaInvalid:function(_84){
dojo.removeAttr(_84,"aria-invalid");
},save:function(){
var _85=this._getTitle();
var _86=this._getDescription();
if(!_86){
_86="";
}
if(!this.messageControl){
dojo.registerModulePath("com.ibm.lotus.oneui.v100.messages",this.iContext.io.rewriteURI("../dijit-library/oneUI.versionized/messages"));
dojo.require("com.ibm.lotus.oneui.v100.messages.Message");
this.messageControl=new (dojo.getObject(this._messageClass).Message)({messageType:"error"},this.WID+"messageBox");
this.messageControl.hide();
}
if(!this._verifyInput(_85,_86)){
return;
}
var _87=this._getSelectedTheme();
var _88=this._getSpaceCreateType();
var _89=this._templateList;
if(_88==this.SPACE_CREATE_TYPE_BLANK){
this._createBlankSpace(_85,_86,_87);
}else{
if(_88==this.SPACE_CREATE_TYPE_TEMPLATE){
this._createSpaceFromTemplate(_85,_86,_87);
}else{
this._createSpaceFromSpace(_85,_86,_87);
}
}
},onUnload:function(){
dojo.forEach(this._connections,dojo.disconnect);
}});

