dojo.require("com.ibm.mashups.enabler.model.Factory");
dojo.require("com.ibm.mm.builder.utils.acModelUtil");
dojo.require("com.ibm.mm.builder.dnd.ACLSource");
dojo.require("com.ibm.mm.builder.dialog.ACLReassignDialog");
dojo.require("com.ibm.mm.builder.widget.OpenSearchDropdownMenu");
dojo.require("dijit._Widget");
dojo.require("dijit._Templated");
dojo.require("com.ibm.mm.builder.dialog.DialogFooter");
dojo.declare("com.ibm.mm.builder.accessControl",null,{iconImageUrl:builderConfig.builderPath+"/images/sharepage/share_heading_icon.png",pageUpImageUrl:builderConfig.builderPath+"/images/sharepage/page_up_control.png",pageDownImageUrl:builderConfig.builderPath+"/images/sharepage/page_down_control.png",jumpUpImageUrl:builderConfig.builderPath+"/images/sharepage/jump_to_top_control.png",jumpDownImageUrl:builderConfig.builderPath+"/images/sharepage/jump_to_bottom_control.png",disabledPageUpImageUrl:builderConfig.builderPath+"/images/sharepage/page_up_control_disabled.png",disabledPageDownImageUrl:builderConfig.builderPath+"/images/sharepage/page_down_control_disabled.png",disabledJumpUpImageUrl:builderConfig.builderPath+"/images/sharepage/jump_to_top_control_disabled.png",disabledJumpDownImageUrl:builderConfig.builderPath+"/images/sharepage/jump_to_bottom_control_disabled.png",userModel:null,accessLevel:null,bottomDivId:null,searchInputId:null,filterInputId:null,viewList:null,personalizeList:null,editList:null,searchUsers:null,searchSource:null,highlightedColor:"#FFFFFF",selectedColor:"#0f4c9b",itemColor:"#252525",searchOption:"user",isOddOptionCick:false,searchOptionDiv:null,pageId:null,spaceId:null,searchDropDownMenu:null,searchType:com.ibm.mm.builder.ACLopenSearchType,tMenu:null,initialKeyword:"",_inPersonalSpace:true,_viewBlockCheckbox:null,_editBlockCheckbox:null,_pageSwitched:true,_currentContentPageID:null,_shareType:null,_shareTypeId:null,SHARE_PAGE:1,SHARE_SPACE:2,MAX_LEN:160,messageBox:null,cws:com.ibm.mm.builder.coreWidgetsStrings,constructor:function(){
this.acModelUtil=com.ibm.mm.builder.utils.acModelUtil;
this.searchUsers=[];
dojo.subscribe(com.ibm.mm.builder.eventTopics.UpdateViewPageControl,this,"updateViewPageControl");
dojo.subscribe(com.ibm.mm.builder.eventTopics.UpdateEditPageControl,this,"updateEditPageControl");
dojo.subscribe(com.ibm.mm.builder.eventTopics.UpdateSearchPageControl,this,"updateSearchPageControl");
dojo.subscribe(com.ibm.mm.builder.eventTopics.UpdateAllPageControl,this,"updateAllPageControl");
dojo.subscribe(com.ibm.mm.builder.eventTopics.AclDialogHide,this,"onACLDialogHide");
this._connects=[];
this.LOGGER=com.ibm.mashups.enabler.logging.Logger.getLogger("com.ibm.mm.builder.accessControl");
},onACLDialogHide:function(){
},handleSharePage:function(_1){
var _2=_1.payload;
if(!_2){
return;
}
this.pageId=_2;
this._shareType=this.SHARE_PAGE;
this._shareTypeId=_2;
this._currentContentPageID=_2;
this._inPersonalSpace=!com.ibm.mm.builder.utils.spaceUtil.getSpaceIdByPageId(_2);
this._pageSwitched=false;
this.initContent(_2);
},handleShareSpace:function(_3){
var _4=_3.payload;
if(_4){
this._shareType=this.SHARE_SPACE;
this._shareTypeId=_4;
this.spaceId=_4;
this.initContent(_4);
}
},onSwitchPage:function(_5){
var _6=_5.payload;
if(!_6){
return;
}
this._pageSwitched=(this._currentContentPageID!=_6);
var _7=com.ibm.mm.builder.utils.htmlUtil;
if(this.viewListNode){
_7[((!this._pageSwitched)?"show":"hide")+"Nodes"](this.viewListNode.childNodes);
}
if(this.editListNode){
_7[((!this._pageSwitched)?"show":"hide")+"Nodes"](this.editListNode.childNodes);
}
},initContent:function(){
if(this.viewListNode){
this.viewListNode.innerHTML="";
}
if(this.editListNode){
this.editListNode.innerHTML="";
}
var ac=this;
var _8=this.iContext.getRootElement();
this._hideMessage();
this._hideMessageBox();
if(this.searchType!="user"){
this.searchType="user";
com.ibm.mm.builder.ACLopenSearchType="user";
for(var i=0,_9=this.tMenu.entrys.length;i<_9;i++){
var _a=this.tMenu.entrys[i];
if(com.ibm.mm.builder.ACLopenSearchType==_a.type){
this.tMenu.setCurrentSearchType(_a.domNode);
this._currentSearchType=_a;
}
}
}
var _b=dojo.byId(this.searchInputId);
if(dojo.hasClass(_b,"ACLSearchInput")){
dojo.removeClass(_b,"ACLSearchInput");
dojo.addClass(_b,"initACLSearchInput");
}
_b.value=com.ibm.mm.builder.coreWidgetsStrings.I_SEARCH_USER;
var _c=dojo.byId(this.bottomDivId);
var _d=dojo.query(".aclNoSearchDiv",_c);
if(builderConfig.isBidi&&dojo.isIE===6){
_d[0].style.width="500px";
}
var _e=dojo.query(".accessControlSearchList",_c);
_e[0].innerHTML="";
this.searchSource=this._createSource(this.searchSource,[_e[0],["none"],this,"aclSearch",15,0]);
dojo.publish(com.ibm.mm.builder.eventTopics.UpdateSearchPageControl);
this.viewList=[];
this.personalizeList=[];
this.editList=[];
this.initACLData();
var _f=dojo.query(".accessControlViewList",_c)[0];
this.viewListNode=_f;
_f.innerHTML="";
var _10=15;
if(this._shareType==this.SHARE_PAGE&&!this._inPersonalSpace){
_10=_10-2;
}
com.ibm.mm.builder.dnd.viewSource=this._createSource(com.ibm.mm.builder.dnd.viewSource,[_f,["acluser"],this,"aclView",_10,0]);
this._addItem(com.ibm.mm.builder.dnd.viewSource,_f,this.viewList,"aclView");
var _11=dojo.query(".accessControlEditList",_c)[0];
this.editListNode=_11;
_11.innerHTML="";
com.ibm.mm.builder.dnd.editSource=this._createSource(com.ibm.mm.builder.dnd.editSource,[_11,["acluser"],this,"aclEdit",_10,0]);
this._addItem(com.ibm.mm.builder.dnd.editSource,_11,this.editList,"aclEdit");
if(this._shareType==this.SHARE_PAGE&&!this._inPersonalSpace){
if(this._viewBlockCheckbox&&this._editBlockCheckbox){
this._viewBlockCheckbox.domNode.style.display="";
this._editBlockCheckbox.domNode.style.display="";
}else{
this._viewBlockCheckbox=new com.ibm.mm.builder.widget.includeBox({type:"view",includeContent:com.ibm.mm.builder.coreWidgetsStrings.I_ACL_INCLUDE_VIEWER});
var _12=dojo.query(".accessControlViewListDiv",_c)[0];
var _13=dojo.query(".viewList",_12)[0];
_12.insertBefore(this._viewBlockCheckbox.domNode,_13);
this._editBlockCheckbox=new com.ibm.mm.builder.widget.includeBox({type:"edit",includeContent:com.ibm.mm.builder.coreWidgetsStrings.I_ACL_INCLUDE_EDITOR});
var _14=dojo.query(".accessControlEditListDiv",_c)[0];
var _15=dojo.query(".editList",_14)[0];
_14.insertBefore(this._editBlockCheckbox.domNode,_15);
}
this._viewBlockCheckbox.setCheck(!this.acModel.isInheritanceBlock(com.ibm.mashups.enabler.ac.RoleType.USER));
this._editBlockCheckbox.setCheck(!this.acModel.isInheritanceBlock(com.ibm.mashups.enabler.ac.RoleType.EDITOR));
}else{
if(this._viewBlockCheckbox){
this._viewBlockCheckbox.domNode.style.display="none";
}
if(this._editBlockCheckbox){
this._editBlockCheckbox.domNode.style.display="none";
}
}
setTimeout(dojo.hitch(this,function(){
dojo.forEach([{id:"acl_search_list_div",className:".accessControlSearchList"},{id:"acl_view_list_div",className:".accessControlViewList"},{id:"acl_edit_list_div",className:".accessControlEditList"}],function(obj){
var _16=dojo.byId(obj.id);
this.setListHeight(_16);
this.setListHeight(dojo.query(obj.className,_16)[0]);
},this);
}),50);
com.ibm.mm.builder.utils.htmlUtil.truncateAllChildNodesText(_8);
dojo.publish(com.ibm.mm.builder.eventTopics.UpdateViewPageControl);
dojo.publish(com.ibm.mm.builder.eventTopics.UpdateEditPageControl);
},setListHeight:function(_17,_18){
if(!_18){
_18=0;
}
var _19=_17.previousSibling;
var h=0;
while(_19){
if(_19.nodeType===1&&(dojo.style(_19,"display")!="none")){
h+=dojo.marginBox(_19).h;
}
_19=_19.previousSibling;
}
var _1a=dojo.marginBox(_17.parentNode).h-h-_18-dojo.style(_17,"marginTop")-dojo.style(_17,"marginBottom");
dojo.style(_17,"height",_1a+"px");
return _1a;
},onLoad:function(){
var _1b=this.iContext.getRootElement();
dojo.parser.parse(_1b);
this.wid="_"+this.iContext.widgetId+"_";
var _1c=com.ibm.mashups.services.ServiceManager.getService(com.ibm.mashups.enabler.services.ConfigService.SERVICE_NAME);
var _1d=_1c.getValue(com.ibm.mashups.enabler.services.ConfigConstants.CONTEXT_ROOT_BUILDER);
var _1e=dojo.query("input.accessSearch",_1b);
for(var i=0;i<_1e.length;i++){
_1e[i].src=_1d+_1e[i].title;
}
dojo.query(".accessControlDesp",_1b)[0].innerHTML=com.ibm.mm.builder.coreWidgetsStrings.I_ACL_DIALOG_DESC;
this._addTip(com.ibm.mm.builder.coreWidgetsStrings.I_ACL_ADD_TO_VIEW,dojo.query(".addToViewBtnMiddle",_1b)[0]);
this._addTip(com.ibm.mm.builder.coreWidgetsStrings.I_ACL_ADD_TO_EDIT,dojo.query(".addToEditBtnMiddle",_1b)[0]);
this._addTip(com.ibm.mm.builder.coreWidgetsStrings.I_ACL_SEARCH_RESULT,dojo.query(".searchResultHeaderMiddle",_1b)[0]);
this._addTipForInput(com.ibm.mm.builder.coreWidgetsStrings.I_ACL_REMOVE,dojo.query(".accessControlRemove",_1b)[0]);
this._addTipForInput(com.ibm.mm.builder.coreWidgetsStrings.I_ACL_ADD_TO_VIEW,dojo.query(".addToViewBtnA11y_button",_1b)[0],this.MAX_LEN);
this._addTipForInput(com.ibm.mm.builder.coreWidgetsStrings.I_ACL_ADD_TO_EDIT,dojo.query(".addToEditBtnA11y_button",_1b)[0],this.MAX_LEN);
dojo.query(".initACLSearchInput",_1b)[0].value=com.ibm.mm.builder.coreWidgetsStrings.I_SEARCH_USER;
this.bottomDivId=this.wid+"bottomDiv";
this.searchInputId=this.wid+"search";
this.filterInputId=this.wid+"filter";
com.ibm.mm.builder.utils.htmlUtil.setNodeTitle((this.cws.I_SEARCH_INDICATE||"Searching..."),dojo.query(".searchIndicatorText",_1b)[0],170);
this.searchType="user";
com.ibm.mm.builder.ACLopenSearchType="user";
if(!this.searchDropDownMenu){
this.searchDropDownMenu=dojo.byId(this.wid+"showSearchScope");
this.renderMenu(this.searchDropDownMenu);
dojo.subscribe("com.ibm.mm.catalog.Topics.SearchType_Change",this,"changeSearchType");
}
this._searchHint={"user":com.ibm.mm.builder.coreWidgetsStrings.I_SEARCH_USER,"group":com.ibm.mm.builder.coreWidgetsStrings.I_SEARCH_GROUP};
var _1f=dojo.byId(this.searchInputId);
var _20=function(){
if(dojo.hasClass(_1f,"initACLSearchInput")){
dojo.removeClass(_1f,"initACLSearchInput");
dojo.addClass(_1f,"ACLSearchInput");
_1f.value="";
}
};
var _21=dojo.hitch(this,function(){
var _22=dojo.byId(this.searchInputId);
var _23=_22.value;
if(_23==""){
if(dojo.hasClass(_22,"ACLSearchInput")){
dojo.removeClass(_22,"ACLSearchInput");
}
dojo.addClass(_22,"initACLSearchInput");
_22.value=this._getSearchHint();
}
});
var _24=dojo.hitch(this,function(evt){
evt=evt||window.event;
if(evt&&evt.keyCode==13){
this.showSearchResult();
}
});
this._connects.push(dojo.connect(_1f,"onfocus",null,_20));
this._connects.push(dojo.connect(_1f,"onblur",null,_21));
this._connects.push(dojo.connect(_1f,"onkeydown",null,_24));
var _25=dojo.byId(this.wid+"showSearchScope");
dojo.attr(_25,"alt",com.ibm.mm.builder.coreWidgetsStrings.I_ACL_SEARCHSCOPE);
dojo.attr(_25,"title",com.ibm.mm.builder.coreWidgetsStrings.I_ACL_SEARCHSCOPE);
var _26=dojo.byId(this.wid+"showResultImg");
dojo.attr(_26,"alt",com.ibm.mm.builder.coreWidgetsStrings.I_ACL_SEARCH_RESULT);
dojo.attr(_26,"title",com.ibm.mm.builder.coreWidgetsStrings.I_ACL_SEARCH_RESULT);
dojo.attr(dojo.byId(this.wid+"search"),"title",com.ibm.mm.builder.coreWidgetsStrings.I_ACL_SEARCHINPUT);
if(builderConfig.isBidi){
dojo.attr(_26,"src",builderConfig.builderPath+"/images/search_button_gray_rtl.png");
}
},addHoverClass:function(_27){
dojo.forEach(dojo.query("."+_27,this.iContext.getRootElement()),function(div){
this._connects.push(dojo.connect(div,"onmouseover",div,function(){
dojo.addClass(this,"hover");
},true));
this._connects.push(dojo.connect(div,"onmouseout",div,function(){
dojo.removeClass(this,"hover");
},true));
},this);
},_createSource:function(_28,_29){
if(_28){
_28.destroy();
_28=null;
}
return com.ibm.mm.builder.dnd.ACLSource.createSource(_29[0],_29[1],_29[2],_29[3],_29[4],_29[5]);
},_addTip:function(_2a,_2b){
var _2c=_2b;
dojo.attr(_2b,"title",_2a);
_2c.innerHTML=_2a;
},_addTipForInput:function(_2d,_2e,_2f){
var _30=_2e;
dojo.attr(_2e,"title",_2d);
_30.value=_2f?com.ibm.mm.builder.utils.htmlUtil.getStrWithLimit(_2d,_30,_2f):_2d;
},initModels:function(){
if(!this.userModel){
this.userModel=com.ibm.mashups.enabler.user.Factory.getUserModel();
}
if(this._shareType==this.SHARE_PAGE){
this.acModel=this.acModelUtil.getPageAC(this._shareTypeId);
}else{
this.acModel=this.acModelUtil.getSpaceAC(this._shareTypeId);
}
},initACLData:function(){
this.initModels();
this.viewList=this.acModelUtil.getViewers(this.acModel);
this.editList=this.acModelUtil.getEditors(this.acModel);
},onview:function(){
this.addHoverClass("addToViewBtnMiddle");
this.addHoverClass("addToView");
this.addHoverClass("addToEdit");
this.addHoverClass("addToEditBtnMiddle");
this.addHoverClass("input.accessSearch");
},_addItem:function(_31,_32,_33,_34){
var _35=com.ibm.mm.builder.utils.userUtil.getCurrentUserID();
var _36=this;
for(var i=0;i<_33.length;i++){
var _37=_33[i];
if(!!_37&&_37.getID()!=_35&&!!_37.getDisplayName()){
var _38=_36._shareTypeId+_34+_37.getEntityType()+_37.getID();
var _39=new com.ibm.mm.builder.aclUserItem({displayName:_37.getDisplayName(),entityType:_37.getEntityType(),type:_34,id:_38,userId:_37.getID()});
_31.container.push(_39);
_31.allStayedUsers[_36._shareTypeId+_37.getID()]=_37.getEntityType();
_32.appendChild(_39.domNode);
if(i>=_31.listLengthPerPage){
_39.domNode.style.display="none";
}
}
}
var _3a=_31.node.childNodes.length/_31.listLengthPerPage;
_3a=Math.ceil(_3a);
_31.totalPage=(_3a===0?1:_3a);
},transferNode:function(_3b,_3c,_3d,_3e,_3f){
this._hideMessageBox();
for(var i=0,len=_3b.container.length;i<len;i++){
var _40=_3b.container[i];
if(_40.domNode.id===_3d){
if(this.isAnonymousUserByUserId(_40.userId)&&_3c.name=="aclEdit"){
this._showShareErrorMessage(dojo.string.substitute(com.ibm.mm.builder.coreWidgetsMessages.I_SHARE_PAGE_CAN_NOT_GIVE_PERMISSION_0,[_40.displayName]),"info");
return;
}
var _41=_3d.replace(_3b.name,_3c.name);
var _42=new com.ibm.mm.builder.aclUserItem({displayName:_40.displayName,entityType:_40.entityType,type:_3c.name,id:_41,userId:_40.userId});
_3c.container.push(_42);
_3c.allStayedUsers[_41.replace(_3c.name,"").replace(_40.entityType,"")]=_40.entityType;
_3c.node.insertBefore(_42.domNode,_3e);
if(!_3f){
_3b.container.splice(i,1);
delete _3b.allStayedUsers[_3d.replace(_3b.name,"").replace(_40.entityType,"")];
_40.destroy();
}
return;
}
}
},isAnonymousUserByUserId:function(id){
if(!this.searchItems){
return false;
}
var _43;
for(var i=0,len=this.searchItems.length;i<len;i++){
_43=this.searchItems[i];
if(_43==null){
continue;
}
if(_43.getID()===id&&_43.isVirtual()&&_43.getVirtualType()===com.ibm.mashups.enabler.user.VirtualType.ANONYMOUS_USER){
return true;
}
}
return false;
},isAnonymousUserByNodeId:function(_44,_45){
var _46=false;
dojo.forEach(_44.container,function(_47){
if(_47.domNode.id==_45){
_46=this.isAnonymousUserByUserId(_47.userId);
return;
}
},this);
return _46;
},checkDraggedNode:function(_48,_49,_4a){
var _4b=[];
var _4c=[];
var _4d=this;
this._hideMessageBox();
dojo.forEach(_4a,function(_4e,_4f){
var _50=false;
var id=_4e.id.replace(_48.name,"");
var _51=null;
switch(_49.name){
case com.ibm.mm.builder.dnd.viewSource.name:
_51=_4d.getSpeceficNode(com.ibm.mm.builder.dnd.editSource,id)||_4d.getSpeceficNode(com.ibm.mm.builder.dnd.personalizeSource,id);
break;
case com.ibm.mm.builder.dnd.editSource.name:
if(_4d.isAnonymousUserByNodeId(_48,_4e.id)){
var _52=_4d.getSpeceficNode(_4d.searchSource,id);
_4d._showShareErrorMessage(dojo.string.substitute(com.ibm.mm.builder.coreWidgetsMessages.I_SHARE_PAGE_CAN_NOT_GIVE_PERMISSION_0,[_52.name]),"info");
_51=null;
_50=true;
break;
}
_51=_4d.getSpeceficNode(com.ibm.mm.builder.dnd.viewSource,id)||_4d.getSpeceficNode(com.ibm.mm.builder.dnd.personalizeSource,id);
break;
case com.ibm.mm.builder.dnd.personalizeSource.name:
_51=_4d.getSpeceficNode(com.ibm.mm.builder.dnd.viewSource,id)||_4d.getSpeceficNode(com.ibm.mm.builder.dnd.editSource,id);
break;
}
if(_51){
_4c.push(_51);
}else{
if(!_50&&!(_4d.getSpeceficNode(_49,id,_4e.id))){
_4b.push(_4e);
}
}
});
if(_4c.length){
if(!this.ACLReassignDialog){
this.ACLReassignDialog=new com.ibm.mm.builder.dialog.ACLReassignDialog();
}
this.ACLReassignDialog.show(_4d,_49,_4c);
}
return _4b;
},getSpeceficNode:function(_53,_54){
if(!_53){
return null;
}
var _55=_53.container;
for(var i=0,len=_55.length;i<len;i++){
var _56=_55[i];
if((_56.id).replace(_53.name,"")===_54){
return {id:_56.id,name:_56.displayName,perm:_56.type};
}
}
return null;
},changeSearchType:function(_57){
this.searchType=_57;
com.ibm.mm.builder.ACLOpenSearchType=_57;
var _58=dojo.byId(this.searchInputId);
if(dojo.hasClass(_58,"initACLSearchInput")){
_58.value=this._getSearchHint();
}
},_getSearchHint:function(){
return this._searchHint[this.searchType]||"Search";
},renderMenu:function(_59){
this.tMenu=new com.ibm.mm.builder.widget.OpenSearchDropdownMenu({targetNodeIds:[_59],leftClickToOpen:true});
var _5a=new com.ibm.mm.builder.widget.OpenSearchDropdownMenuItem({type:"user",label:com.ibm.mm.builder.coreWidgetsStrings.I_ACL_USER_SEARCH,onClick:dojo.hitch(this,this._onMenuItemClick,"user")});
this.tMenu.addChild(_5a);
this.tMenu.entrys.push(_5a);
var _5b=new com.ibm.mm.builder.widget.OpenSearchDropdownMenuItem({type:"group",label:com.ibm.mm.builder.coreWidgetsStrings.I_ACL_GROUP_SEARCH,onClick:dojo.hitch(this,this._onMenuItemClick,"group")});
this.tMenu.addChild(_5b);
this.tMenu.entrys.push(_5b);
this.tMenu.startup();
for(var i=0;i<this.tMenu.entrys.length;i++){
var _5c=this.tMenu.entrys[i];
if(com.ibm.mm.builder.ACLopenSearchType==_5c.type){
this.tMenu.setCurrentSearchType(_5c.domNode);
this._currentSearchType=_5c;
}
}
},_onMenuItemClick:function(_5d){
dojo.publish("com.ibm.mm.catalog.Topics.SearchType_Change",[_5d]);
},onOverActions:function(e){
var _5e=e.target||e.srcElement;
if(_5e.tagName=="TD"){
_5e=_5e.parentNode;
dojo.addClass(_5e,"searchOption_item_highlighted");
dojo.removeClass(_5e.firstChild,"modeSelector_check");
_5e.style.color=this.highlightedColor;
}
if(dojo.isIE){
this._mouseOverSearchOptions();
}
},onOutActions:function(e){
var _5f=e.target||e.srcElement;
if(_5f.tagName=="TD"){
_5f=_5f.parentNode;
dojo.removeClass(_5f,"searchOption_item_highlighted");
dojo.addClass(_5f.firstChild,"modeSelector_check");
if(dojo.hasClass(_5f.firstChild,"check")){
_5f.style.color=this.selectedColor;
}else{
_5f.style.color=this.itemColor;
}
}
if(dojo.isIE){
this._mouseOutSearchOptions();
}
},setUserSearch:function(){
var _60=dojo.query(".initACLSearchInput",this.iContext.getRootElement())[0];
if(_60&&(_60.value==com.ibm.mm.builder.coreWidgetsStrings.I_SEARCH_GROUP||dojo.trim(_60.value)=="")){
_60.value=com.ibm.mm.builder.coreWidgetsStrings.I_SEARCH_USER;
}
},setGroupSearch:function(){
var _61=dojo.query(".initACLSearchInput",this.iContext.getRootElement())[0];
if(_61&&(_61.value==com.ibm.mm.builder.coreWidgetsStrings.I_SEARCH_USER||dojo.trim(_61.value)=="")){
_61.value=com.ibm.mm.builder.coreWidgetsStrings.I_SEARCH_GROUP;
}
},_getSearchOptionDiv:function(){
if(!this.searchOptionDiv){
var _62=dojo.query(".accessControl_searchOptions",dojo.byId(this.bottomDivId));
this.searchOptionDiv=_62[0];
}
return this.searchOptionDiv;
},_mouseOutSearchOptions:function(){
var _63=this._getSearchOptionDiv();
if(_63&&_63.style.display=="block"){
dojo.byId(this.wid+"showResultImg").focus();
}
},_mouseOverSearchOptions:function(){
var _64=this._getSearchOptionDiv();
if(_64&&_64.style.display=="block"){
_64.focus();
}
},_displaySearchOptions:function(_65){
var _66=dojo.query(".accessControl_searchOptions",dojo.byId(this.bottomDivId));
var _67=this._getSearchOptionDiv();
if(_65){
if(_67.style.display=="block"){
_67.style.display="none";
}else{
_67.style.display="block";
_67.focus();
}
}else{
_67.style.display="none";
}
},_onBlur:function(e){
var _68=this._getSearchOptionDiv();
if(_68.style.display=="none"){
return;
}
window.setTimeout(dojo.hitch(this,function(){
this._displaySearchOptions(false);
}),300);
},showSearchResult:function(){
this._hideMessage();
this._hideMessageBox();
var _69=dojo.query(".accessControlSearchListDiv",dojo.byId(this.bottomDivId));
var _6a=dojo.query(".accessControlSearchList",dojo.byId(this.bottomDivId));
_6a[0].style.display="";
var _6b=dojo.byId(this.searchInputId);
var _6c=dojo.query(".searchIndicatorContainer",dojo.byId(this.bottomDivId))[0];
if(_6b&&_6b.value!=""){
_6c.style.display="block";
_6a[0].innerHTML="";
if(dojo.hasClass(_6b,"initACLSearchInput")){
this.searchItems=this.searchOutUsers("*");
}else{
this.searchItems=this.searchOutUsers(_6b.value);
}
_6c.style.display="none";
}
if(this.searchItems&&this.searchItems.length>0&&!(this.searchItems.length==1&&this.searchItems[0].getID()==com.ibm.mm.builder.utils.userUtil.getCurrentUserID())){
try{
this.searchSource=this._createSource(this.searchSource,[_6a[0],["none"],this,"aclSearch",15,0]);
this._addItem(this.searchSource,_6a[0],this.searchItems,"aclSearch");
dojo.publish(com.ibm.mm.builder.eventTopics.UpdateSearchPageControl);
}
catch(e){
this.LOGGER.severe("showSearchResult",dojo.string.substitute(com.ibm.mm.builder.coreWidgetsMessages.E_COLUMN_DND_1,[e.message]));
}
_69[0].style.display="none";
dojo.fx.wipeIn({node:_69[0],duration:1000}).play();
}else{
_6a[0].style.display="none";
var msg=null;
if(this.searchType=="user"){
msg=com.ibm.mm.builder.coreWidgetsStrings.I_SEARCH_NO_RESULT_TEXT_USER||"No user found, try another search item";
}else{
msg=com.ibm.mm.builder.coreWidgetsStrings.I_SEARCH_NO_RESULT_TEXT_GROUP||"No group found, try another search item";
}
this._showMessage(msg,"info","search_msg");
}
com.ibm.mm.builder.utils.htmlUtil.truncateAllChildNodesText(_6a[0]);
},searchOutUsers:function(_6d){
var _6e=[];
var cs=com.ibm.mashups.services.ServiceManager.getService(com.ibm.mashups.enabler.services.ConfigService.SERVICE_NAME);
var _6f=cs.getValue(com.ibm.mashups.enabler.services.ConfigConstants.AUTO_WILDCARD_DISABLED);
if(_6d!=""){
if(_6d!="*"){
_6d=_6d.replace(/(^\**)|(\**$)/g,"");
if((_6f!==true)&&(_6f!="true")){
_6d="*"+_6d+"*";
}
}
var i=0;
var _70=null;
if(this.searchType=="user"){
var _71=this.userModel.getVirtualUsers().start();
for(i=0;i<_71.length;i++){
this.searchUsers.push(_71[i]);
_6e.push(_71[i]);
}
var _72="";
var dfr=this.userModel.findUsersByAttribute(cs.getValue(com.ibm.mashups.enabler.services.ConfigConstants.CLIENT_USER_ID_KEY),_6d);
dfr.setFinishedCallback(function(ctx){
if(ctx.request&&ctx.request.statusCode>=400&&ctx.request.responseText){
_72=ctx.request.responseText;
}
},null,true);
_70=dfr.start(true);
if(_70!=null){
for(i=0;i<_70.length;i++){
this.searchUsers.push(_70[i]);
_6e.push(_70[i]);
}
}else{
this._showShareErrorMessage(dojo.string.substitute(com.ibm.mm.builder.coreWidgetsMessages.E_USER_SEARCH_ERROR_1,[_72]),"error");
}
}else{
var _73=this.userModel.getVirtualGroups().start();
for(i=0;i<_73.length;i++){
this.searchUsers.push(_73[i]);
_6e.push(_73[i]);
}
_70=this.userModel.findGroupsByAttribute(cs.getValue(com.ibm.mashups.enabler.services.ConfigConstants.CLIENT_GROUP_CN_KEY),_6d).start();
if(_70!=null){
for(i=0;i<_70.length;i++){
this.searchUsers.push(_70[i]);
_6e.push(_70[i]);
}
}else{
this._showShareErrorMessage(dojo.string.substitute(com.ibm.mm.builder.coreWidgetsMessages.E_USER_SEARCH_ERROR_1,[""]),"error");
}
}
}
return _6e;
},applyACL:function(){
},addToView:function(){
this.collectNodes(com.ibm.mm.builder.dnd.personalizeSource,com.ibm.mm.builder.dnd.viewSource,false);
this.collectNodes(com.ibm.mm.builder.dnd.editSource,com.ibm.mm.builder.dnd.viewSource,false);
this.collectNodes(this.searchSource,com.ibm.mm.builder.dnd.viewSource,true);
dojo.publish(com.ibm.mm.builder.eventTopics.UpdateAllPageControl);
},collectNodes:function(_74,_75,_76){
if(!_74||!_75){
return;
}
var _77=com.ibm.mm.builder.utils.htmlUtil.getAllCheckedNodes(_74.node);
_77=_76?(this.checkDraggedNode(_74,_75,_77)):_77;
var _78=this;
dojo.forEach(_77,function(_79){
_78.transferNode(_74,_75,_79.id,null,(_74.name==="aclSearch"));
});
com.ibm.mm.builder.utils.htmlUtil.uncheckAll(_74.node.childNodes);
},addToViewClick:function(_7a){
_7a=dojo.fixEvent(_7a);
if(_7a.keyCode===dojo.keys.ENTER){
this.addToView();
}
},addToPersonalize:function(){
this.collectNodes(com.ibm.mm.builder.dnd.viewSource,com.ibm.mm.builder.dnd.personalizeSource,false);
this.collectNodes(com.ibm.mm.builder.dnd.editSource,com.ibm.mm.builder.dnd.personalizeSource,false);
this.collectNodes(this.searchSource,com.ibm.mm.builder.dnd.personalizeSource,true);
dojo.publish(com.ibm.mm.builder.eventTopics.UpdateAllPageControl);
},addToEdit:function(){
this.collectNodes(com.ibm.mm.builder.dnd.viewSource,com.ibm.mm.builder.dnd.editSource,false);
this.collectNodes(com.ibm.mm.builder.dnd.personalizeSource,com.ibm.mm.builder.dnd.editSource,false);
this.collectNodes(this.searchSource,com.ibm.mm.builder.dnd.editSource,true);
dojo.publish(com.ibm.mm.builder.eventTopics.UpdateAllPageControl);
},addToEditClick:function(_7b){
_7b=dojo.fixEvent(_7b);
if(_7b.keyCode===dojo.keys.ENTER){
this.addToEdit();
}
},removeAllSelectedEntries:function(){
this.removeSelectedNodes(com.ibm.mm.builder.dnd.viewSource);
this.removeSelectedNodes(com.ibm.mm.builder.dnd.editSource);
this.removeSelectedNodes(com.ibm.mm.builder.dnd.personalizeSource);
dojo.publish(com.ibm.mm.builder.eventTopics.UpdateAllPageControl);
},removeSelectedNodes:function(_7c){
if(!_7c){
return;
}
var _7d=false;
var _7e=com.ibm.mm.builder.utils.htmlUtil.getAllCheckedNodes(_7c.node);
dojo.forEach(_7e,function(_7f){
for(var i=0,len=_7c.container.length;i<len;i++){
var _80=_7c.container[i];
if(_80.id===_7f.id){
delete _7c.allStayedUsers[_7f.id.replace(_7c.name,"").replace(_80.entityType,"")];
_80.destroy();
_7c.container.splice(i,1);
_7d=true;
break;
}
}
});
},showApplyOptions:function(){
},saveACL:function(){
var _81=com.ibm.mm.builder.dnd.viewSource.allStayedUsers;
var _82=com.ibm.mm.builder.dnd.editSource.allStayedUsers;
var _83=false;
if(!this._inPersonalSpace&&this._shareType==this.SHARE_PAGE){
if(this._viewBlockCheckbox.isChecked()==this.acModel.isInheritanceBlock(com.ibm.mashups.enabler.ac.RoleType.USER)){
this.acModel.setInheritanceBlock(com.ibm.mashups.enabler.ac.RoleType.USER,!this._viewBlockCheckbox.isChecked());
_83=true;
}
if(this._editBlockCheckbox.isChecked()==this.acModel.isInheritanceBlock(com.ibm.mashups.enabler.ac.RoleType.EDITOR)){
this.acModel.setInheritanceBlock(com.ibm.mashups.enabler.ac.RoleType.EDITOR,!this._editBlockCheckbox.isChecked());
_83=true;
}
}
var _84=this.getUserIdList(_81);
var _85=this.getUserIdList(_82);
var _86=this.getRemoveIdList(_84,this.viewList);
var _87=this.getRemoveIdList(_85,this.editList);
var _88=this.getInsertIdList(_84,this.viewList);
var _89=this.getInsertIdList(_85,this.editList);
this.acModelUtil.removeViewers(this.acModel,_86);
this.acModelUtil.removeEditors(this.acModel,_87);
this.acModelUtil.addViewers(this.acModel,_88);
this.acModelUtil.addEditors(this.acModel,_89);
_83=(_83||_86||_87||_88||_89);
if(!_83){
com.ibm.mashups.services.ServiceManager.getService("eventService").broadcastEvent("com.ibm.mashups.builder.closeMashupDialog",this.iContext.widgetId);
return;
}
var _8a=this.acModel.commit();
_8a.setOperationCallback(dojo.hitch(this,function(_8b){
if(_8b){
com.ibm.mashups.services.ServiceManager.getService("eventService").broadcastEvent("com.ibm.mashups.builder.closeMashupDialog",this.iContext.widgetId);
}else{
this._showShareErrorMessage(com.ibm.mm.builder.coreWidgetsMessages.E_SHARE_PAGE_NO_PERMISSION_0,"error");
}
}));
_8a.start();
},cancelACL:function(){
com.ibm.mashups.services.ServiceManager.getService("eventService").broadcastEvent("com.ibm.mashups.builder.closeMashupDialog",this.iContext.widgetId);
},getRemoveIdList:function(_8c,_8d){
var _8e={};
var _8f=false;
dojo.forEach(_8d,function(_90){
var id=_90.getID();
var _91=_8c[id];
if(!_91||(_91&&(_91!=_90.getEntityType()))){
_8e[id]=_90.getEntityType();
_8f=true;
}
});
return (_8f?_8e:null);
},getInsertIdList:function(_92,_93){
var _94={};
var _95=false;
for(var id in _92){
if(Object.prototype.hasOwnProperty.call(_92,id)){
var _96=false;
for(var i=0,len=_93.length;i<len;i++){
var _97=_93[i];
if((id==_97.getID())&&(_92[id]==_97.getEntityType())){
_96=true;
break;
}
}
if(!_96){
_94[id]=_92[id];
_95=true;
}
}
}
return (_95?_94:null);
},getUserIdList:function(_98){
var _99={};
for(var _9a in _98){
if(Object.prototype.hasOwnProperty.call(_98,_9a)){
_99[_9a.replace(this._shareTypeId,"")]=_98[_9a];
}
}
return _99;
},adjustUserList:function(_9b){
var _9c=_9b.node.childNodes.length/_9b.listLengthPerPage;
_9c=Math.ceil(_9c)===0?1:Math.ceil(_9c);
_9b.totalPage=_9c;
if(_9b.currentPage>_9c){
_9b.currentPage=_9c;
}
if(_9b.currentPage<1){
_9b.currentPage=1;
}
var i=0;
for(;i<_9b.listLengthPerPage*(_9b.currentPage-1);i++){
_9b.node.childNodes[i].style.display="none";
}
for(;i<_9b.listLengthPerPage*_9b.currentPage&&i<_9b.node.childNodes.length;i++){
_9b.node.childNodes[i].style.display="";
}
for(;i<_9b.node.childNodes.length;i++){
_9b.node.childNodes[i].style.display="none";
}
},getProperSource:function(_9d){
var _9e;
switch(_9d){
case "search":
return this.searchSource;
case "view":
return com.ibm.mm.builder.dnd.viewSource;
case "personalize":
return com.ibm.mm.builder.dnd.personalizeSource;
case "edit":
return com.ibm.mm.builder.dnd.editSource;
}
return null;
},updateProperControl:function(_9f){
switch(_9f){
case "search":
this.updateSearchPageControl();
break;
case "view":
this.updateViewPageControl();
break;
case "personalize":
this.updatePersonalizePageControl();
break;
case "edit":
this.updateEditPageControl();
break;
}
},pageDown:function(_a0){
var _a1=this.getProperSource(_a0);
if(_a1){
_a1.currentPage++;
this.updateProperControl(_a0);
}
},pageUp:function(_a2){
var _a3=this.getProperSource(_a2);
if(_a3){
if(_a3.currentPage==1){
return;
}
_a3.currentPage--;
this.updateProperControl(_a2);
}
},jumpDown:function(_a4){
var _a5=this.getProperSource(_a4);
if(_a5){
if(_a5.currentPage!=_a5.totalPage){
_a5.currentPage=_a5.totalPage;
this.updateProperControl(_a4);
}
}
},jumpUp:function(_a6){
var _a7=this.getProperSource(_a6);
if(_a7){
if(_a7.currentPage!=1){
_a7.currentPage=1;
this.updateProperControl(_a6);
}
}
},_disableUpPageControls:function(_a8){
if(_a8){
var _a9=dojo.query(".accessControlPageUpDiv",_a8);
_a9[0].innerHTML="<img src="+this.disabledPageUpImageUrl+" alt=''>";
dojo.removeAttr(_a9[0],"role");
var _aa=dojo.query(".accessControlJumpUpDiv",_a8);
_aa[0].innerHTML="<img src="+this.disabledJumpUpImageUrl+" alt=''>";
dojo.removeAttr(_aa[0],"role");
}
},_disableDownPageControls:function(_ab){
if(_ab){
var _ac=dojo.query(".accessControlPageDownDiv",_ab);
_ac[0].innerHTML="<img src="+this.disabledPageDownImageUrl+" alt=''>";
dojo.removeAttr(_ac[0],"role");
var _ad=dojo.query(".accessControlJumpDownDiv",_ab);
_ad[0].innerHTML="<img src="+this.disabledJumpDownImageUrl+" alt=''>";
dojo.removeAttr(_ad[0],"role");
}
},_enableUpPageControls:function(_ae){
if(_ae){
var _af=dojo.query(".accessControlPageUpDiv",_ae);
_af[0].innerHTML="<img src="+this.pageUpImageUrl+" alt=''>";
dojo.attr(_af[0],"role","link");
var _b0=dojo.query(".accessControlJumpUpDiv",_ae);
_b0[0].innerHTML="<img src="+this.jumpUpImageUrl+" alt=''>";
dojo.attr(_b0[0],"role","link");
}
},_enableDownPageControls:function(_b1){
if(_b1){
var _b2=dojo.query(".accessControlPageDownDiv",_b1);
_b2[0].innerHTML="<img src="+this.pageDownImageUrl+" alt=''>";
dojo.attr(_b2[0],"role","link");
var _b3=dojo.query(".accessControlJumpDownDiv",_b1);
_b3[0].innerHTML="<img src="+this.jumpDownImageUrl+" alt=''>";
dojo.attr(_b3[0],"role","link");
}
},_hidePageControls:function(_b4){
if(_b4){
_b4.style.display="none";
}
},_showPageControls:function(_b5){
if(_b5){
_b5.style.display="block";
}
},updateAllPageControl:function(){
this.updateViewPageControl();
this.updateEditPageControl();
},updateViewPageControl:function(){
this.updageSpecificPageControl(com.ibm.mm.builder.dnd.viewSource);
},updatePersonalizePageControl:function(){
this.updageSpecificPageControl(com.ibm.mm.builder.dnd.personalizeSource);
},updateEditPageControl:function(){
this.updageSpecificPageControl(com.ibm.mm.builder.dnd.editSource);
},updageSpecificPageControl:function(_b6){
this.adjustUserList(_b6);
var _b7=!this._inPersonalSpace&&this._shareType!=this.SHARE_SPACE?{h:"350px",hWithArrow:"300px"}:{h:"393px",hWithArrow:"347px"};
var _b8=_b6.name.replace("acl","");
var _b9=dojo.query(".accessControl"+_b8+"ListUpDiv",dojo.byId(this.bottomDivId))[0];
var _ba=dojo.query(".accessControl"+_b8+"ListDownDiv",dojo.byId(this.bottomDivId))[0];
this._updateControl(_b9,_ba,_b6);
},updateSearchPageControl:function(){
this.adjustUserList(this.searchSource);
var _bb=dojo.query(".accessControlSearchListUpDiv",dojo.byId(this.bottomDivId))[0];
var _bc=dojo.query(".accessControlSearchListDownDiv",dojo.byId(this.bottomDivId))[0];
this._updateControl(_bb,_bc,this.searchSource);
},_updateControl:function(_bd,_be,_bf){
if(_bf.totalPage==1){
this._hidePageControls(_bd);
this._hidePageControls(_be);
this._disableUpPageControls(_bd);
this._disableDownPageControls(_be);
}else{
this._showPageControls(_bd);
this._showPageControls(_be);
if(_bf.currentPage>1){
this._enableUpPageControls(_bd);
}else{
this._disableUpPageControls(_bd);
}
if(_bf.currentPage<_bf.totalPage){
this._enableDownPageControls(_be);
}else{
this._disableDownPageControls(_be);
}
this.setListHeight(_bf.node,23);
}
},_showMessage:function(_c0,_c1,_c2){
if(!this.messageControl){
dojo.registerModulePath("com.ibm.lotus.oneui.v100.messages",this.iContext.io.rewriteURI("../dijit-library/oneUI.versionized/messages"));
dojo.require("com.ibm.lotus.oneui.v100.messages.Message");
var wid="_"+this.iContext.widgetId+"_";
var _c3=dojo.byId(wid+_c2);
this.messageControl=new com.ibm.lotus.oneui.v100.messages.Message({messageType:_c1},_c3);
}
this.messageControl.attr({"message":_c0,"messageType":_c1||"error"});
this.messageControl.show();
},_hideMessage:function(){
if(this.messageControl){
this.messageControl.hide();
var _c4=dojo.query(".accessControlSearchList",dojo.byId(this.bottomDivId));
_c4[0].style.display="";
}
},_showShareErrorMessage:function(_c5,_c6){
if(!this.messageBox){
dojo.registerModulePath("com.ibm.lotus.oneui.v100.messages",this.iContext.io.rewriteURI("../dijit-library/oneUI.versionized/messages"));
dojo.require("com.ibm.lotus.oneui.v100.messages.Message");
var wid="_"+this.iContext.widgetId+"_";
var _c7=dojo.byId(wid+"messageBox");
this.messageBox=new com.ibm.lotus.oneui.v100.messages.Message({messageType:_c6},_c7);
}
this.messageBox.attr({"message":_c5,"messageType":_c6||"error"});
this.messageBox.show();
dojo.removeClass(dojo.byId(this.bottomDivId),"accessControlBottomDiv");
dojo.addClass(dojo.byId(this.bottomDivId),"accessControlBottomDivWithError");
},_hideMessageBox:function(){
if(dojo.hasClass(dojo.byId(this.bottomDivId),"accessControlBottomDivWithError")){
dojo.removeClass(dojo.byId(this.bottomDivId),"accessControlBottomDivWithError");
dojo.addClass(dojo.byId(this.bottomDivId),"accessControlBottomDiv");
}
if(this.messageBox){
this.messageBox.hide();
}
},onUnload:function(){
if(this.searchSource){
this.searchSource.destroy();
this.searchSource=null;
}
if(com.ibm.mm.builder.dnd.viewSource){
com.ibm.mm.builder.dnd.viewSource.destroy();
com.ibm.mm.builder.dnd.viewSource=null;
}
if(com.ibm.mm.builder.dnd.personalizeSource){
com.ibm.mm.builder.dnd.personalizeSource.destroy();
com.ibm.mm.builder.dnd.personalizeSource=null;
}
if(com.ibm.mm.builder.dnd.editSource){
com.ibm.mm.builder.dnd.editSource.destroy();
com.ibm.mm.builder.dnd.editSource=null;
}
dojo.forEach(this._connects,dojo.disconnect,dojo);
}});
dojo.declare("com.ibm.mm.builder.aclUserItem",[dijit._Widget,dijit._Templated],{displayName:null,entityType:null,type:null,id:null,userId:null,templateString:"<div class='aclUserItem dojoDndItem' style='white-space: nowrap;' dojoAttachEvent='onmouseover:_onHover,onmouseout:_onUnHover,onmousedown:_onMouseDown,onmouseup:_onMouseUp,keydown:_onKeyDown'>"+"<div class='aclUserItemFloater'>"+"\t<input dojoAttachPoint='itemCheckBox' type='checkbox' name='itemCheck' role='checkbox' id='${id}_itemCheck'></input>"+"</div>"+"<div>"+"\t<label class='aclUserItemContent truncatedLabel' widthlimit='160' dojoAttachPoint='aclUserItemContent' for='${id}_itemCheck'></label>"+"</div>"+"</div>",postCreate:function(){
if(this.entityType=="group"){
this.aclUserItemContent.style.fontWeight="bold";
}
if((this.displayName!==null)&&(this.displayName!="")){
this.aclUserItemContent.innerHTML=this.displayName;
}
this.itemCheckBox.setAttribute("value",this.id);
dojo.connect(this.itemCheckBox,"onclick",this,"_checkBoxClick");
this.domNode.id=this.id;
},_checkBoxClick:function(evt){
dojo.stopEvent(evt);
},setItemID:function(_c8){
this.id=_c8;
this.domNode.id=_c8;
this.itemCheckBox.setAttribute("value",this.id);
},_onHover:function(){
dojo.addClass(this.domNode,this.type+"ItemHover");
},_onUnHover:function(){
dojo.removeClass(this.domNode,this.type+"ItemHover");
},_onMouseDown:function(evt){
this.setChecked=!this.itemCheckBox.checked;
if(!this.itemCheckBox.checked){
this.itemCheckBox.checked=true;
}
dijit.setWaiState(this.itemCheckBox,"checked",this.itemCheckBox.checked);
},_onMouseUp:function(){
if(this.itemCheckBox.checked&&(!this.setChecked)){
this.itemCheckBox.checked=false;
}
dijit.setWaiState(this.itemCheckBox,"checked",this.itemCheckBox.checked);
},_onKeyDown:function(evt){
if(evt.keyCode==32){
this.setChecked=!this.itemCheckBox.checked;
if(!this.itemCheckBox.checked){
this.itemCheckBox.checked=true;
}else{
if(this.itemCheckBox.checked&&(!this.setChecked)){
this.itemCheckBox.checked=false;
}
}
}
dijit.setWaiState(this.itemCheckBox,"checked",this.itemCheckBox.checked);
}});
dojo.declare("com.ibm.mm.builder.widget.includeBox",[dijit._Widget,dijit._Templated],{templateString:"<div class='includeBox'>"+"<div class='includeInside'>"+"<input type='checkbox' dojoAttachPoint = 'blockCheckbox'  />"+"<label dojoAttachPoint = 'includeContentNode' class='includeContent'>${includeContent}</label>"+"</div>"+"</div>",type:null,includeContent:null,checked:true,setCheck:function(_c9){
this.blockCheckbox.checked=_c9;
},isChecked:function(){
return this.blockCheckbox.checked;
},getType:function(){
return this.type;
},postCreate:function(){
dojo.addClass(this.domNode,this.type+"IncludeBox");
this.blockCheckbox.checked=this.checked;
dojo.attr(this.blockCheckbox,"id",this.type+"CheckBox");
dojo.attr(this.includeContentNode,"id",this.type+"CheckBoxLabel");
dojo.attr(this.includeContentNode,"for",this.blockCheckbox.id);
dojo.attr(this.blockCheckbox,"aria-labelledby",this.type+"CheckBoxLabel");
}});
com.ibm.mm.builder.dnd.viewSource=null;
com.ibm.mm.builder.dnd.personalizeSource=null;
com.ibm.mm.builder.dnd.editSource=null;

